<template>
  <keep-alive v-if="keepAliveList.length > 0" :include="keepAliveList">
    <router-view />
  </keep-alive>
  <router-view v-else />
</template>
<script>
import { mapState } from "vuex";
export default {
  data() {
    return {};
  },
  computed: {
    ...mapState(["keepAliveList"]),
  },
  watch: {
    $route(to, from) {
      if (to.meta.keepAlive && this.keepAliveList.indexOf(to.name) == -1) {
        this.$store.commit("addKeepAlive", to.name);
      }
    },
  },
};
</script>
